Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.trans
Interface MfTransaction

All Superinterfaces:
  java.util.EventListener, MfGenericTransaction, MfTranInterface, javax.management.NotificationListener

public interface MfTransaction
extends MfGenericTransaction, MfTranInterface

MfTransaction defines a transaction instance (start/stop mode). It is created with the newTransaction() method of MfTransactionFactory.

Method Summary
`int` | `block()` Indicates that the transaction instance is blocked waiting on an external transaction (which may or may not be instrumented with this API).
`int` | `start()` Indicates that the transaction is beginning execution.
`int` | `stop()` Signals the end of the transaction.
`int` | `stop(int status)` Signals the end of the transaction.
`int` | `unblock()` Indicates the end of an external transaction.

Methods inherited from interface com.sun.mfwk.trans.MfGenericTransaction
`getDefinition, getParentTrans`

Methods inherited from interface javax.management.NotificationListener
`handleNotification`

Methods inherited from interface com.sun.mfwk.trans.MfTranInterface
`getErrorCode, getErrorMessage, setErrorCode`

Method Detail

### start

    public int start()

  Indicates that the transaction is beginning execution.

### stop

    public int stop(int status)

  Signals the end of the transaction.

  Parameters:
    `status` - the status of the transaction (one of the constants in MfConstants)

### stop

    public int stop()

  Signals the end of the transaction. Assume the transaction status is OK.

### block

    public int block()

  Indicates that the transaction instance is blocked waiting on an external transaction (which may or may not be instrumented with this API).

### unblock

    public int unblock()

  Indicates the end of an external transaction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD